<?php
namespace plugins\smsbao_sms;

use cmf\lib\Plugin;

class SmsbaoSmsPlugin extends Plugin
{
    public $info = [
        'name' => 'SmsbaoSms',
        'title' => '短信宝-短信插件',
        'description' => '短信宝-短信插件',
        'status' => 1,
        'author' => 'smsbao',
        'version' => '1.0'
    ];

    public $hasAdmin = 0;//插件是否有后台管理界面

    // 插件安装
    public function install()
    {
        return true;//安装成功返回true，失败false
    }

    // 插件卸载
    public function uninstall()
    {
        return true;//卸载成功返回true，失败false
    }

    //实现钩子方法
    public function sendMobileVerificationCode($param)
    {
        $mobile = $param['mobile'];//手机号
        $code = $param['code'];//验证码
        $config = $this->getConfig();
        $statusStr = array(
            "0" => "短信发送成功",
            "-1" => "参数不全",
            "-2" => "服务器空间不支持,请确认支持curl或者fsocket，联系您的空间商解决或者更换空间！",
            "30" => "密码错误",
            "40" => "账号不存在",
            "41" => "余额不足",
            "42" => "帐户已过期",
            "43" => "IP地址限制",
            "50" => "内容含有敏感词"
        );
        $smsapi = "http://api.smsbao.com/";
        $user = $config['sms_user']; //短信平台帐号
        $pass = md5($config['sms_pwd']); //短信平台密码
        $content= '【'.$config['sms_sign'].'】'.str_replace('$code',$code,$config['template_id']);//要发送的短信内容
        $phone = $mobile;//要发送短信的手机号码
        $sendurl = $smsapi."sms?u=".$user."&p=".$pass."&m=".$phone."&c=".urlencode($content);
        $result = file_get_contents($sendurl) ;
        if($result == '0'){//发送成功
            $result = [
                'error'=>0,
                'message'=>$statusStr[$result]
            ];

        }else{
            $result = [
                'error'=>-1,
                'message'=>$statusStr[$result]
            ];
        }
        return $result;
    }
}